Update end date for a contract
Update the end date of a Global Payroll contract from the date the change takes effect. Setting an end date makes the contract fixed-term; sending null makes it open-ended. The contract term is derived from the end date. Each call adds an entry to the end date history of the contract.
Token scopes: contracts:write
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-12.
Authentication
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
Headers
Opts in to the beta version of this endpoint. Must be true.